@article{Reference1,
	Abstract = {We have developed an enhanced Littrow configuration extended cavity diode laser (ECDL) that can be tuned without changing the direction of the output beam. The output of a conventional Littrow ECDL is reflected from a plane mirror fixed parallel to the tuning diffraction grating. Using a free-space Michelson wavemeter to measure the laser wavelength, we can tune the laser over a range greater than 10 nm without any alteration of alignment.},
	Author = {C. J. Hawthorn and K. P. Weber and R. E. Scholten},
	Journal = {Review of Scientific Instruments},
	Month = {December},
	Number = {12},
	Numpages = {3},
	Pages = {4477--4479},
	Title = {Littrow Configuration Tunable External Cavity Diode Laser with Fixed Direction Output Beam},
	Volume = {72},
	Url = {http://link.aip.org/link/?RSI/72/4477/1},
	Year = {2001}}


@misc{LS1,
	author = {Melichar, Jiří},
	publisher = {Vydavatelství ZČU},
	Title = {Linearní systémy 1},
	year = {2011},
	note = {Pomocný učební text. ZČU. Dostupné z: \url{http://www.kky.zcu.cz/cs/courses/ls1}}
}

@misc{LS2,
	author = {Melichar, Jiří},
	publisher = {Vydavatelství ZČU},
	Title = {Linearní systémy 2},
	year = {2011},
	note = {Pomocný učební text. ZČU. Dostupné z: \url{http://www.kky.zcu.cz/cs/courses/ls2}}
}

@phdthesis{ref_diplomka,
  abstract = {The main goal for this master thesis project was to create a robot balancing on a ball with the help of omni wheels. The robot was developed from scratch. The work covered everything from mechanical design, dynamic modeling, control design, sensor fusion, identifying parameters by experimentation to implementation on a microcontroller. The robot has three omni wheels in a special configuration at the bottom. The task to stabilize the robot is based on the simplified model of controlling a spherical inverted pendulum in the xy-plane with state feedback control. The model has accelerations in the bottom in the x- and y-directions as inputs. The controlled outputs are the angle and angular velocity around the x- and y-axes and the position and speed along the same axes. The goal to stabilize the robot in an upright position and keep it located around the starting point was successfully achieved.},
  author       = {Jonason Bj{\"a}renstam, Magnus and Lennartsson, Michael},
  language     = {eng},
  series       = {ISSN 0280-5316},
  title        = {Development of a ball balancing robot with omni wheels},
  year         = {2012},
}

@phdthesis{ref_bakalarka,
	type={Bachelor Thesis},
  title={Modeling and Control of a Ballbot},
  author={Fankhauser, P{\'e}ter and Gwerder, Corsin},
	language = {eng},
  year={2010},
  school={ETH Zurich}
}

@INPROCEEDINGS{Lauwers05oneis,
    author = {Tom Lauwers and George Kantor and Ralph Hollis},
    title = {One is Enough},
    booktitle = {Proc. of 2005 International Symposium of Robotics Research},
    year = {2005},
    pages = {12--15}
}


@misc{Omni-Directional_Wheel,
  title = {{VEX Robotics, Wheels Motion Robotics} [Online]},
  note = "poslední aktualizace 7. 4. 2016 [cit. 7. 4. 2015]. Dostupné z: \url{http://www.vexrobotics.com/vexedr/products/accessories/motion/edr-wheels.html}"
}

@misc{Pololu_Mounting_Hub_url,
  title = {{Pololu Universal Aluminum Mounting Hub}},
  note = "poslední aktualizace September 10, 2015 [cit. 2015-04-25]. Dostupné z: \url{https://www.pololu.com/product/1081/specs}"
}

@misc{Rotation_matrix,
 title = {{Otočení}.},
 howpublished = {In: \textit{Wikipedia: the free encyclopedia} [online]},
 note = {2006, poslední aktualizace: 8. 9. 2015 v 19:00] [cit. 2015-04-25]. Dostupné z: \url{https://cs.wikipedia.org/wiki/Oto%C4%8Den%C3%AD#Matice_rotace}}
}

@misc{angular_velocity_tensor,
 title = {{Angular velocity}.},
 howpublished = {In: \textit{Wikipedia: the free encyclopedia} [online]},
 note = {2006, poslední aktualizace: 12:41, 13 April 2016] [cit. 2015-04-25]. Dostupné z: \url{https://en.wikipedia.org/wiki/Angular_velocity#Angular_velocity_tensor}}
}

@misc{inverted_pend_wiki,
 title = {{Inverted pendulum}.},
 howpublished = {In: \textit{Wikipedia: the free encyclopedia} [online]},
 note = {2006, poslední aktualizace: 12:41, 13 April 2016] [cit. 2015-04-25]. Dostupné z: \url{https://en.wikipedia.org/wiki/Inverted_pendulum#Equations_of_motion}}
}
@misc{relative_velocity,
 title = {{Kinematics}.},
 howpublished = {In: \textit{Wikipedia: the free encyclopedia} [online]},
 note = {2002, poslední aktualizace: 23:30, 26 April 2016] [cit. 2015-04-28]. Dostupné z: \url{https://en.wikipedia.org/wiki/Kinematics#Relative_velocity}}
}
@misc{change_of_basis_wiki,
 title = {{Change of basis}.},
 howpublished = {In: \textit{Wikipedia: the free encyclopedia} [online]},
 note = {2004, poslední aktualizace: 21:55, 12 April 2016] [cit. 2015-04-29]. Dostupné z: \url{https://en.wikipedia.org/wiki/Change_of_basis#Change_of_coordinates_of_a_vector}}
}
@misc{vector_algebra,
 title = {{Vector algebra relation}.},
 howpublished = {In: \textit{Wikipedia: the free encyclopedia} [online]},
 note = {2010, poslední aktualizace: 18:51, 27 December 2015] [cit. 2015-05-06]. Dostupné z: \url{https://en.wikipedia.org/wiki/Vector_algebra_relations#Addition_and_multiplication_of_vectors}}
}

@misc{driver_carrier,
 title = {{VNH5019 Motor Driver Carrier}.},
 howpublished = {In: \textit{Pololu Robotics and Electronics} [online]},
 note = {2013, poslední aktualizace: SEPTEMBER 5, 2015] [cit. 2015-05-01]. Dostupné z: \url{https://www.pololu.com/product/1451}}
}

@misc{step_down,
 title = {{Pololu Step-Down Voltage Regulator D15V70F5S3}.},
 howpublished = {In: \textit{Pololu Robotics and Electronics} [online]},
 note = {2013, poslední aktualizace: MARCH 1, 2016] [cit. 2015-05-01]. Dostupné z: \url{https://www.pololu.com/product/2111}}
}

@misc{motor_dc,
 title = {{Metal Gearmotor 25Dx54L mm HP 6V with 48 CPR Encoder}.},
 howpublished = {In: \textit{Pololu Robotics and Electronics} [online]},
 note = {2013, poslední aktualizace: JANUARY 15, 2016] [cit. 2015-05-01]. Dostupné z: \url{http://www.pololu.com/catalog/product/2270}}
}

@misc{fritzing,
 title = {{Interaction Design Lab Potsdam}},
 howpublished = {\textit{Fritzing 0.9.2b} [software]},
 note = {[přístup: 1. května 2016]. Dostupné z: \url{http://fritzing.org/}. Požadavky na systém: Mac OS X, Linux, Windows}
}

@misc{arduino,
 title = {{Arduino - ArduinoBoardNano }.},
 howpublished = {In: \textit{Arduino Website} [online]},
 note = {2008, poslední aktualizace: APRIL 3, 2016] [cit. 2015-05-01]. Dostupné z: \url{https://www.arduino.cc/en/Main/ArduinoBoardNano}}
}